import { JSONObject } from '../types/JSONObject';
/**
 * Verifies that the provided `obj` value matches the provided `toMatch` value
 *
 * @param obj The value that should match the `toMatch` property
 * @param toMatch The value that the `obj` property should match
 */
export declare function matchAny(obj: any, toMatch: any): boolean;
/**
 * Verifies that each values of `match` array are contained in `array` array
 *
 * @param array The array that should contain every values of `match` array
 * @param match The array that should be contained in `array`
 */
export declare function matchArray(array: Array<any>, match: Array<any>): boolean;
/**
 * Verifies that each properties of `match` object are contained in `obj` object
 *
 * @param obj The object that should contain every properties of `match` object
 * @param match The object that should be contained in `obj`
 */
export declare function matchObject(obj: JSONObject, match: JSONObject): boolean;
